ChangeSet 1.1293, 2003/06/04 17:41:34-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in arch/ppc64/kernel/pSeries_pci.c


 arch/ppc64/kernel/pSeries_pci.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/arch/ppc64/kernel/pSeries_pci.c b/arch/ppc64/kernel/pSeries_pci.c
--- a/arch/ppc64/kernel/pSeries_pci.c	Wed Jun  4 18:07:05 2003
+++ b/arch/ppc64/kernel/pSeries_pci.c	Wed Jun  4 18:07:05 2003
@@ -533,11 +533,11 @@
 
 void __init pcibios_final_fixup(void)
 {
-	struct pci_dev *dev;
+	struct pci_dev *dev = NULL;
 
 	check_s7a();
 
-	pci_for_each_dev(dev)
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL)
 		pci_read_irq_line(dev);
 
 	chrp_request_regions();
